petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetResidualHistory

Sets the array used to hold the residual history. If set, this array will contain the residual norms computed at each iteration of the solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetResidualHistory(KSP ksp,PetscReal a[],PetscInt na,PetscBool reset)

Not Collective Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| a | - array to hold history Many br
| na | - size of a Many br
| reset | - PETSC_TRUE indicates the history counter is reset to zero Many brfor each new linear solve Many br

Many br

Notes: The array is NOT freed by PETSc so the user needs to keep track of Many brit and destroy once the KSP object is destroyed. Many br

If 'a' is NULL then space is allocated for the history. If 'na' PETSC_DECIDE or PETSC_DEFAULT then a Many brdefault array of length 10000 is allocated. Many br

### Keywords

KSP, set, residual, history, norm

### See Also

KSPGetResidualHistory()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages